{: test that string assignment causes a compilation error
   if the rhs is not a string}

program e1074( output );

type
   str = packed array[1..10] of char;

var
   s  : str;

begin { e1074 }
   s := '1234';
   s := 123.4; {!!! not a string}
end. { e1074 }

